:root {
    --text-color: #EFEFEF;
    --divider: 2px solid #DDD;
}

body {
    margin: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    color: var(--text-color);
    background: #222222;
    font-family: "Courier New", serif;
}

.grid-outer {
    flex: 1;
    display: flex;
    align-items: center;
}

.grid-container {
    min-width: 740px;
    min-height: 500px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    padding: 40px;
    margin: 0 auto;
}

.grid-item {
    position: relative;
}

.center-line-vertical {
    border-left: var(--divider);
}

.center-line-horizontal {
    border-top: var(--divider);
}

.align {
    position: absolute;
}

.align.top {
    top: 0;
}

.align.bottom {
    bottom: 0;
}

.align.left {
    left: 0;
}

.align.right {
    right: 0;
}

.image-link {
    display: block;
    width: 300px;
    height: auto;
    transition: width .2s ease-in;
}

.image-link:hover {
    width: 350px;
}

.image-text {
    color: var(--text-color);
    text-decoration: none;
    padding: 10px;
    font-weight: bold;
    font-size: larger;
}
